var app = {
    // Application Constructor
    initialize: function() {
        this.bindEvents();
        this.testZone = {};
        this.bigNumber = null;
        this.db = null;
    },

    bindEvents: function() {
        document.addEventListener("deviceready", this.onDeviceReady, false);
    },

    onDeviceReady: function() {
        console.log("Ready");
        app.testZone = document.getElementById("test-zone");

        //app.testForNumber();
        app.db = window.openDatabase("Database", "1.0", "Nettuts+ Demo", 200000);

        app.testIfDatabaseExists();
    },

    testIfDatabaseExists: function(){
        var exists = window.localStorage.getItem("dbExists");
        if(exists == null)
        {
            app.createDatabase();
        }
        else
        {
            app.queryDatabase();
        }
    },

    createDatabase: function() {
        app.db.transaction(app.populateDB, app.populateError, app.populateSuccess);
    },

    populateDB: function(tx) {
        tx.executeSql('DROP TABLE IF EXISTS USERS');
        tx.executeSql('CREATE TABLE IF NOT EXISTS USERS (id unique, firstname, lastname, age)');
        tx.executeSql('INSERT INTO USERS (id, firstname, lastname, age) VALUES (1, "Jason", "Green", 30)');
        tx.executeSql('INSERT INTO USERS (id, firstname, lastname, age) VALUES (2, "John", "Smith", 48)');
    },

    populateError: function(err) {
        app.testZone.innerHTML = "Database SQL Error: " + err.code;
    },

    populateSuccess: function() {
        window.localStorage.setItem("dbExists", 1);
        app.testZone.innerHTML = "Database populated!"
    },

    queryDatabase: function() {
        app.testZone.innerHTML = "This time we query!"
        app.db.transaction(app.queryDB, app.queryError);
    },
    queryDB: function(tx){
        tx.executeSql('SELECT * FROM USERS', [], app.querySuccess, app.queryError);
    },
    querySuccess: function(tx, results) {
        var len = results.rows.length;
        var html = "<br />";
        for (var i=0; i<len; i++){
            html += "ID: " + results.rows.item(i).id + "<br />";
            html += "Name: " + results.rows.item(i).firstname + "<br />";
            html += "Surname: " + results.rows.item(i).lastname + "<br />";
            html += "Age: " + results.rows.item(i).age + " years, ";
            app.testZone.innerHTML += html;
            html = "<br />";
        }
    },

    queryError: function(err) {
        app.testZone.innerHTML = "Error processing SQL: " + err.code;
    },



    testForNumber: function() {
        app.testZone.addEventListener("click", app.setNewNumber, false);

        app.bigNumber = window.localStorage.getItem("bigNumber");
        if(app.bigNumber != null)
        {
            app.testZone.innerHTML = "Your last random number was: " + app.bigNumber;
        }
        else
        {
            app.testZone.innerHTML = "You have never generated a number.";
        }
    },

    setNewNumber: function() {
        app.bigNumber = Math.floor((Math.random()*1000000)+1);
        app.testZone.innerHTML = "Your new random number is: " + app.bigNumber;
        window.localStorage.setItem("bigNumber", app.bigNumber);
    }

};
