var app = {
    // Application Constructor
    initialize: function() {
        this.bindEvents();
        this.testZone = {};
    },

    bindEvents: function() {
        document.addEventListener("deviceready", this.onDeviceReady, false);
    },

    onDeviceReady: function() {
        console.log("Ready");
        app.testZone = document.getElementById("test-zone");
        window.requestFileSystem(LocalFileSystem.PERSISTENT, 0, app.getFileSystem, app.generalFail);
    },

    getFileSystem: function(fileSystem) {
        console.log(fileSystem.name);
        console.log(fileSystem.root.name);

        //fileSystem.root.getFile("data.txt", {create: true, exclusive: false}, app.createSuccess, app.generalFail);
        fileSystem.root.getFile("data.txt", null, app.getFileSuccess, app.generalFail);
    },

    getFileSuccess: function(fileEntry) {
        var reader = new FileReader();
        fileEntry.file(app.gotFile, app.generalFail);
    },

    gotFile: function(file) {
        var reader = new FileReader();
        reader.onloadend = function(evt) {
            app.testZone.innerHTML += "Read text data: " + evt.target.result;
        };
        reader.readAsText(file);
    },

    createSuccess: function(fileEntry) {

        var fileTransfer = new FileTransfer();
        var uri = encodeURI("http://www.greenjaydigital.com/data.txt");
        fileTransfer.download(
            uri,
            fileEntry.fullPath,
            function(entry) {
                app.testZone.innerHTML += "download complete: " + entry.fullPath
            },
            function(error) {
                console.log("download error source " + error.source);
                console.log("download error target " + error.target);
                console.log("upload error code" + error.code);
            }
        );
    },

    generalFail: function(evt) {
        console.log("FAILURE: " + evt.code);
    }
};
