var app = {
    // Application Constructor
    initialize: function() {
        this.bindEvents();
        this.testZone = {};
    },

    bindEvents: function() {
        document.addEventListener("deviceready", this.onDeviceReady, false);
    },

    onDeviceReady: function() {
        console.log("Ready");
        app.testZone = document.getElementById("test-zone");
        app.useGetPicture();
        //app.useImageCapture();
        //app.useVideoCapture();
    },




    useVideoCapture: function() {
        navigator.device.capture.captureVideo(app.onVidCaptureSuccess, app.onFail, {limit:1});
    },




    onVidCaptureSuccess: function(mediaFiles) {
        console.log("Captured");
        var i, path, len;
        for (i = 0, len = mediaFiles.length; i < len; i += 1) {
            path = mediaFiles[i].fullPath;
            console.log("Video FilePath: " + path);
        }
    },




    useImageCapture: function() {
        navigator.device.capture.captureImage(app.onCaptureSuccess, app.onFail, {limit:2});
    },

    onCaptureSuccess: function(mediaFiles) {
        console.log("Captured");
        var i, path, len;
        for (i = 0, len = mediaFiles.length; i < len; i += 1) {
            path = mediaFiles[i].fullPath;
            console.log("FilePath: " + path);
        }
    },






    useGetPicture: function() {
        navigator.camera.getPicture(
            app.onPhotoSuccess, 
            app.onFail, 
            { 
                quality : 75, 
                destinationType : Camera.DestinationType.DATA_URL, 
                sourceType : Camera.PictureSourceType.PHOTOLIBRARY, 
                //sourceType : Camera.PictureSourceType.CAMERA, 
                //allowEdit : true,
                encodingType: Camera.EncodingType.JPEG,
                targetWidth: 200,
                targetHeight: 200,
                correctOrientation: true,
                saveToPhotoAlbum: true 
            }
        );
    },

    onPhotoSuccess: function(imageData) {
        var image = document.getElementById('image');
        image.src = "data:image/jpeg;base64," + imageData;
    },






    onFail: function(message) {
      alert('Failed: ' + message);
    }

};
